%global debug_package %{nil}

Name:           libstp
Version:        1.1.3
Release:        1
Summary:        A simple setup tool suit
BuildArch:      %{_target_cpu}

License:        Apache-2.0
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libstp

%description
A library made by the Setup Tooling Project

%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/licenses/%{name}
mkdir -p %{buildroot}/%{_mandir}/man1
mkdir -p %{buildroot}/%{_libdir}/libstp
make
gcc libstp.c -I/usr/lib64/libstp -L/usr/lib64/libstp /usr/lib64/libstp/libstp-c.so -o libstp
cp libstp %{buildroot}/%{_bindir}
cp libstp.1 %{buildroot}/%{_mandir}/man1
cp libstp-c.h %{buildroot}/%{_libdir}/libstp
cp libstp-c.so %{buildroot}/%{_libdir}/libstp
cp LICENSE %{buildroot}/%{_datadir}/licenses/%{name}

%files
%{_libdir}/libstp/libstp-c.h
%{_libdir}/libstp/libstp-c.so
%license %{_datadir}/licenses/%{name}/LICENSE
%{_bindir}/libstp
%{_mandir}/man1/libstp.1*

%changelog
%autochangelog
